# BibtexModelUtils

class BibtexModelUtils

## Constants

ADDITIONAL_MISC_FIELD_DESCRIPTION |
ADDITIONAL_MISC_FIELD_KEYWORDS |
ADDITIONAL_MISC_FIELD_BIBURL |
ADDITIONAL_MISC_FIELD_PRIVNOTE |
ADDITIONAL_MISC_FIELD_ADDED_AT |
ADDITIONAL_MISC_FIELD_TIMESTAMP |
ASSIGNMENT_OPERATOR |
DEFAULT_INTENDATION |
KEYVALUE_SEPARATOR |
DEFAULT_OPENING_BRACKET |
DEFAULT_CLOSING_BRACKET |

## Properties

static | $STD_ATTRIBUTES |  |
static | $FULL_BIBTEX_ATTRIBUTES |  |
static | $ATTRIBUTE_VALUE_LENGTH_LIMITS |  |

## Methods

static
appendRequiredFields(Bibtex $bibtex)

If no values present, this function sets default values.

static
appendBibtexKey(Bibtex $bibtex)

appends an

static string
generateBibtexKey(array|ArrayList $authors, array|ArrayList $editors, string $year, string $title)

No description

static string
getFirstRelevantWord($string)

No description

static
limitValueLength(Bibtex $bibtex)

No description

static ArrayList
persons(array|ArrayList $person)

No description

static
parseMiscFieldString($miscFieldString)

No description

static string
appendMiscProp(Bibtex $bibtex, string $prop, string $value = null)

Creates a misc property in BibTeX style. if $bibtex contains any misc properties, it returns that string with appended new misc property.

static
cleanBibtex($val)

No description

## Details

###
at line 94
`static appendRequiredFields(Bibtex $bibtex)`

If no values present, this function sets default values.

Considered fields: author, editor, year, entrytype, title, bibtexkey

#### Parameters

Bibtex | $bibtex |

###
at line 117
`static appendBibtexKey(Bibtex $bibtex)`

appends an

#### Parameters

Bibtex | $bibtex |

###
at line 138
`static string generateBibtexKey(array|ArrayList $authors, array|ArrayList $editors, string $year, string $title)`

#### Parameters

array|ArrayList | $authors |
array|ArrayList | $editors |
string | $year |
string | $title |

#### Return Value

string |

###
at line 171
`static string getFirstRelevantWord($string)`

#### Parameters

| $string |

#### Return Value

string |

###
at line 186
`static limitValueLength(Bibtex $bibtex)`

#### Parameters

Bibtex | $bibtex |

###
at line 205
`static ArrayList persons(array|ArrayList $person)`

#### Parameters

array|ArrayList | $person |

#### Return Value

ArrayList |

###
at line 220
`static parseMiscFieldString($miscFieldString)`

#### Parameters

| $miscFieldString |

###
at line 234
`static string appendMiscProp(Bibtex $bibtex, string $prop, string $value = null)`

Creates a misc property in BibTeX style. if $bibtex contains any misc properties, it returns that string with appended new misc property.

#### Parameters

Bibtex | $bibtex |
string | $prop |
string | $value | (optional)

#### Return Value

string | formatted for BibTeX misc property

###
at line 253
`static cleanBibtex($val)`

#### Parameters

| $val |